<?php

namespace Litecms\Blacklist\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BlacklistTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Blacklist\Models\Blacklist $blacklist)
    {
        return [
            'id'                => $blacklist->getRouteKey(),
            'key'               => [
                'public'    => $blacklist->getPublicKey(),
                'route'     => $blacklist->getRouteKey(),
            ], 
            'account'           => $blacklist->account,
            'user_id'           => $blacklist->user_id,
            'payment_id'        => $blacklist->payment_id,
            'url'               => [
                'public'    => trans_url('blacklist/'.$blacklist->getPublicKey()),
                'user'      => guard_url('blacklist/blacklist/'.$blacklist->getRouteKey()),
            ], 
            'status'            => trans('app.'.$blacklist->status),
            'created_at'        => format_date($blacklist->created_at),
            'updated_at'        => format_date($blacklist->updated_at),
        ];
    }
}